Package org.eclipse.m2m.atl.emftvm.impl

# Class ModuleImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl
org.eclipse.m2m.atl.emftvm.impl.ModuleImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `Module`, `NamedElement`

public class ModuleImpl extends NamedElementImpl implements Module
An implementation of the model object 'Module'.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.emf.common.util.EList<Module>`
`eImports`
The cached value of the '`EImports`' reference list.
`protected org.eclipse.emf.common.util.EList<Feature>`
`features`
The cached value of the '`Features`' containment reference list.
`protected org.eclipse.emf.common.util.EList<String>`
`imports`
The cached value of the '`Imports`' attribute list.
`protected org.eclipse.emf.common.util.EList<ModelDeclaration>`
`inoutModels`
The cached value of the '`Inout Models`' containment reference list.
`protected org.eclipse.emf.common.util.EList<ModelDeclaration>`
`inputModels`
The cached value of the '`Input Models`' containment reference list.
`protected org.eclipse.emf.common.util.EList<ModelDeclaration>`
`outputModels`
The cached value of the '`Output Models`' containment reference list.
`protected org.eclipse.emf.common.util.EList<Rule>`
`rules`
The cached value of the '`Rules`' containment reference list.
`protected static final String`
`SOURCE_NAME_EDEFAULT`
The default value of the '`Source Name`' attribute.
`protected String`
`sourceName`
The cached value of the '`Source Name`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ModuleImpl()`
Creates a new `ModuleImpl`.

## Method Summary

Modifier and Type
Method
Description
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
Returns the `EClass` that correspond to this metaclass.
`void`
`eUnset(int featureID)`
`org.eclipse.emf.common.util.EList<Module>`
`getEImports()`
Returns the value of the 'EImports' reference list.
`org.eclipse.emf.common.util.EList<Feature>`
`getFeatures()`
Returns the value of the 'Features' containment reference list.
`org.eclipse.emf.common.util.EList<String>`
`getImports()`
Returns the value of the 'Imports' attribute list.
`org.eclipse.emf.common.util.EList<ModelDeclaration>`
`getInoutModels()`
Returns the value of the 'Inout Models' containment reference list.
`org.eclipse.emf.common.util.EList<ModelDeclaration>`
`getInputModels()`
Returns the value of the 'Input Models' containment reference list.
`org.eclipse.emf.common.util.EList<ModelDeclaration>`
`getOutputModels()`
Returns the value of the 'Output Models' containment reference list.
`org.eclipse.emf.common.util.EList<Rule>`
`getRules()`
Returns the value of the 'Rules' containment reference list.
`String`
`getSourceName()`
Returns the value of the 'Source Name' attribute.
`String`
`getVersion()`
Returns the ASM version (for debugger).
`void`
`setSourceName(String newSourceName)`
Sets the value of the '`Source Name`' attribute.
`String`
`toString()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl

`getName, setName`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### SOURCE_NAME_EDEFAULT

protected static final String SOURCE_NAME_EDEFAULT
The default value of the '`Source Name`' attribute.

See Also:
  - `getSourceName()`

### sourceName

protected String sourceName
The cached value of the '`Source Name`' attribute.

See Also:
  - `getSourceName()`

### features

protected org.eclipse.emf.common.util.EList<Feature> features
The cached value of the '`Features`' containment reference list.

See Also:
  - `getFeatures()`

### rules

protected org.eclipse.emf.common.util.EList<Rule> rules
The cached value of the '`Rules`' containment reference list.

See Also:
  - `getRules()`

### eImports

protected org.eclipse.emf.common.util.EList<Module> eImports
The cached value of the '`EImports`' reference list.

See Also:
  - `getEImports()`

### imports

protected org.eclipse.emf.common.util.EList<String> imports
The cached value of the '`Imports`' attribute list.

See Also:
  - `getImports()`

### inputModels

protected org.eclipse.emf.common.util.EList<ModelDeclaration> inputModels
The cached value of the '`Input Models`' containment reference list.

See Also:
  - `getInputModels()`

### inoutModels

protected org.eclipse.emf.common.util.EList<ModelDeclaration> inoutModels
The cached value of the '`Inout Models`' containment reference list.

See Also:
  - `getInoutModels()`

### outputModels

protected org.eclipse.emf.common.util.EList<ModelDeclaration> outputModels
The cached value of the '`Output Models`' containment reference list.

See Also:
  - `getOutputModels()`

## Constructor Details

### ModuleImpl

protected ModuleImpl()
Creates a new `ModuleImpl`.

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()
Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `NamedElementImpl`
Returns:
  the `EClass` that correspond to this metaclass.

### getSourceName

public String getSourceName()
Returns the value of the 'Source Name' attribute.

If the meaning of the 'Source Name' attribute isn't clear, there really should be more of a description here...

Specified by:
  `getSourceName` in interface `Module`
Returns:
  the value of the 'Source Name' attribute.
See Also:
  - `Module.setSourceName(String)`
  - `EmftvmPackage.getModule_SourceName()`

### setSourceName

public void setSourceName(String newSourceName)
Sets the value of the '`Source Name`' attribute.

Specified by:
  `setSourceName` in interface `Module`
Parameters:
  `newSourceName` - the new value of the 'Source Name' attribute.
See Also:
  - `Module.getSourceName()`

### getFeatures

public org.eclipse.emf.common.util.EList<Feature> getFeatures()
Returns the value of the 'Features' containment reference list. The list contents are of type `Feature`. It is bidirectional and its opposite is '`Module`'.

If the meaning of the 'Features' containment reference list isn't clear, there really should be more of a description here...

Specified by:
  `getFeatures` in interface `Module`
Returns:
  the value of the 'Features' containment reference list.
See Also:
  - `EmftvmPackage.getModule_Features()`
  - `Feature.getModule()`

### getRules

public org.eclipse.emf.common.util.EList<Rule> getRules()
Returns the value of the 'Rules' containment reference list. The list contents are of type `Rule`. It is bidirectional and its opposite is '`Module`'.

If the meaning of the 'Rules' containment reference list isn't clear, there really should be more of a description here...

Specified by:
  `getRules` in interface `Module`
Returns:
  the value of the 'Rules' containment reference list.
See Also:
  - `EmftvmPackage.getModule_Rules()`
  - `Rule.getModule()`

### getEImports

public org.eclipse.emf.common.util.EList<Module> getEImports()
Returns the value of the 'EImports' reference list. The list contents are of type `Module`.

If the meaning of the 'EImports' reference list isn't clear, there really should be more of a description here...

Specified by:
  `getEImports` in interface `Module`
Returns:
  the value of the 'EImports' reference list.
See Also:
  - `EmftvmPackage.getModule_EImports()`

### getImports

public org.eclipse.emf.common.util.EList<String> getImports()
Returns the value of the 'Imports' attribute list. The list contents are of type `String`.

If the meaning of the 'Imports' attribute list isn't clear, there really should be more of a description here...

Specified by:
  `getImports` in interface `Module`
Returns:
  the value of the 'Imports' attribute list.
See Also:
  - `EmftvmPackage.getModule_Imports()`

### getInputModels

public org.eclipse.emf.common.util.EList<ModelDeclaration> getInputModels()
Returns the value of the 'Input Models' containment reference list. The list contents are of type `ModelDeclaration`. It is bidirectional and its opposite is '`Input Model For`'.

If the meaning of the 'Input Models' reference list isn't clear, there really should be more of a description here...

Specified by:
  `getInputModels` in interface `Module`
Returns:
  the value of the 'Input Models' containment reference list.
See Also:
  - `EmftvmPackage.getModule_InputModels()`
  - `ModelDeclaration.getInputModelFor()`

### getInoutModels

public org.eclipse.emf.common.util.EList<ModelDeclaration> getInoutModels()
Returns the value of the 'Inout Models' containment reference list. The list contents are of type `ModelDeclaration`. It is bidirectional and its opposite is '`Inout Model For`'.

If the meaning of the 'Inout Models' reference list isn't clear, there really should be more of a description here...

Specified by:
  `getInoutModels` in interface `Module`
Returns:
  the value of the 'Inout Models' containment reference list.
See Also:
  - `EmftvmPackage.getModule_InoutModels()`
  - `ModelDeclaration.getInoutModelFor()`

### getOutputModels

public org.eclipse.emf.common.util.EList<ModelDeclaration> getOutputModels()
Returns the value of the 'Output Models' containment reference list. The list contents are of type `ModelDeclaration`. It is bidirectional and its opposite is '`Output Model For`'.

If the meaning of the 'Output Models' reference list isn't clear, there really should be more of a description here...

Specified by:
  `getOutputModels` in interface `Module`
Returns:
  the value of the 'Output Models' containment reference list.
See Also:
  - `EmftvmPackage.getModule_OutputModels()`
  - `ModelDeclaration.getOutputModelFor()`

### eInverseAdd

public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `NamedElementImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `NamedElementImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `NamedElementImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `NamedElementImpl`

### toString

public String toString()

Overrides:
  `toString` in class `NamedElementImpl`

### getVersion

public String getVersion()
Returns the ASM version (for debugger).

Returns:
  the ASM version ("ETVM")